summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorR. Dale Thomas <rdt@knoppmyth.net>2008-10-04 16:46:34 (GMT)
committerR. Dale Thomas <rdt@knoppmyth.net>2008-10-04 16:46:34 (GMT)
commit4b76a925847572de86f13f9407d0be3641fa9d5d (patch)
tree9c1ac24295df132e5a5571e116560428e70e2963
parent5a180c0eb35639912cff68b08def263b5b14b4a2 (diff)
parent8202aecfb8f6937a30bfd06f2d586e45596d445a (diff)
downloadlinhes_dev-4b76a925847572de86f13f9407d0be3641fa9d5d.zip
Merge branch 'HEAD' of ssh://rdt@knoppmyth.net/mount/repository/LinHES-dev.git
-rwxr-xr-xbuild_tools/bin/mp5
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-local/pacman.conf2
-rwxr-xr-xsetup_env.sh36
-rwxr-xr-xtemplates/developers/jams/custom_chroot.sh11
-rwxr-xr-xtemplates/developers/jams/loginrun.sh2
-rw-r--r--templates/enter_dev_chroot.sh3
6 files changed, 54 insertions, 5 deletions
diff --git a/build_tools/bin/mp b/build_tools/bin/mp
index c69c622..6c1b683 100755
--- a/build_tools/bin/mp
+++ b/build_tools/bin/mp
@@ -28,6 +28,11 @@ function find_repo {
else
REPO=core${PFIX}
fi
+ echo $mydir|grep -q "chroot-devel"
+ if [ $? = 0 ]
+ then
+ REPO=chroot-devel
+ fi
DOCROOT=/data/pkg_repo/$CARCH/$REPO
}
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/pacman.conf b/build_tools/clarch/larch/profiles/i686-testing-local/pacman.conf
index 750502b..f27a2a6 100755
--- a/build_tools/clarch/larch/profiles/i686-testing-local/pacman.conf
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/pacman.conf
@@ -35,7 +35,7 @@ CacheDir = /data/var/cache/pacman/pkg
# - local/custom mirrors can be added here or in separate files
#
[core-testing]
-Server = file:///data/local/pkg_repo/i686/core-testing
+Server = file:///data/pkg_repo/i686/core-testing
#Server = http://localmirror/repo/r6-testing/
diff --git a/setup_env.sh b/setup_env.sh
index 986b5ca..85a5ad8 100755
--- a/setup_env.sh
+++ b/setup_env.sh
@@ -1,6 +1,6 @@
#!/bin/bash
# Script to setup the LinHES development enviroment
-# ./setup_env.sh ( i586|i686|x86_64 )
+# ./setup_env.sh ( i586|i686|x86_64 ) devID
# This script assumes that /tmp is usable.
MIRROR_DIR=../pkg_repo
@@ -17,8 +17,23 @@ case $1 in
exit 1
;;
esac
+
+if [ ! x$2 = x ]
+then
+ #check if developer template is present
+ if [ -d templates/developers/$2 ]
+ then
+ echo "found the template for $2 "
+ FOUNDTEMPLATE="TRUE"
+ else
+ echo "couldn't find templates/developers/$2"
+ exit 2
+ fi
+fi
+
}
+
function pacman_check {
which pacman
status=$?
@@ -32,7 +47,7 @@ function pacman_check {
#-----------------------------------------------
-arg_check $1
+arg_check $1 $2
pacman_check
@@ -69,6 +84,22 @@ fi
#clear out the default resolve.con
mv -f ../build_root.$ARCH/etc/resolv.conf ../build_root.$ARCH/etc/resolv.conf.orig
+if [ x$FOUNDTEMPLATE = xTRUE ]
+then
+ #check for login run
+ if [ -f templates/developers/$2/loginrun.sh ]
+ then
+ cp -f templates/developers/$2/loginrun.sh ../build_root.$ARCH/root/loginrun.sh
+ fi
+
+ if [ -f templates/developers/$2/custom_chroot.sh ]
+ then
+ cd templates/developers/$2
+ ./custom_chroot.sh $ARCH
+ cd -
+ fi
+fi
+
#create custom enter_dev_chroot.sh script
sed -e "s/REPLACEME/$ARCH/g" templates/enter_dev_chroot.sh > ../enter_dev_chroot.$ARCH.sh
chmod 755 ../enter_dev_chroot.$ARCH.sh
@@ -78,6 +109,7 @@ echo "** cd .. **"
echo "** ./enter_dev_chroot.$ARCH.sh **"
echo "********************************************************"
+
#copy makepkg.conf into the chroot
sed -e "s/i686/$ARCH/g" templates/makepkg.conf > ../build_root.$ARCH/etc/makepkg.conf
#copy pacman.conf into the chroot
diff --git a/templates/developers/jams/custom_chroot.sh b/templates/developers/jams/custom_chroot.sh
new file mode 100755
index 0000000..75fe866
--- /dev/null
+++ b/templates/developers/jams/custom_chroot.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -x
+build_root="../../../../build_root"
+#copy in the ssh keys
+cp -rp /home/jams/.ssh $build_root.${1}/root
+chown root.root $build_root.${1}/root/.ssh
+
+#copy in display
+cp display.sh $build_root.${1}/etc/profile.d
+#copy in .gtkrc
+cp .gtkrc-2.0 $build_root.${1}/root \ No newline at end of file
diff --git a/templates/developers/jams/loginrun.sh b/templates/developers/jams/loginrun.sh
index 5f936b0..dbd5d5c 100755
--- a/templates/developers/jams/loginrun.sh
+++ b/templates/developers/jams/loginrun.sh
@@ -1,4 +1,4 @@
#!/bin/bash
thunar &
-terminal
+terminal &
diff --git a/templates/enter_dev_chroot.sh b/templates/enter_dev_chroot.sh
index 8f5eb40..1bf957b 100644
--- a/templates/enter_dev_chroot.sh
+++ b/templates/enter_dev_chroot.sh
@@ -66,6 +66,7 @@ fi
[ -e $BROOT/dev/random ] || mknod $BROOT/dev/random c 1 8
[ -e $BROOT/dev/urandom ] || mknod $BROOT/dev/urandom c 1 9
[ -e $BROOT/dev/tty ] || mknod $BROOT/dev/tty c 5 0
+[ -e $BROOT/dev/ptmx ] || mknod $BROOT/dev/ptmx c 5 2
@@ -162,7 +163,7 @@ fi
echo -e "\e]0;chroot-pkgbuild\a"
#used for Konsole
echo -e "\e]30;chroot-pkgbuild\a"
-env -i /usr/sbin/chroot $BROOT /bin/bash --login
+env -i TERM=$TERM /usr/sbin/chroot $BROOT /bin/bash --login